/**
 * event 事件服务
 */
import mitt from "mitt";
import { $commonService } from "@/services/framework/dependency-injection-service";

export const EventBusService = {
  install(app: any) {
    app.config.globalProperties.$eventBusService = mitt();
    $commonService.$dependencyInjectionService.provideFun(
      "$eventBusService",
      app.config.globalProperties.$eventBusService
    );
  },
};
