export type userState = {
  isLogin: boolean;
};

const state: userState = {
  isLogin: true,
};

// @ts-ignore
export default {
  namespaced: true,
  state,
  getters: {
    loginInfo: (state: userState): string => {
      return `${state.isLogin ? "已登陆" : "未登陆"}`;
    },
  },
  mutations: {
    setUserInfo(state: userState, payload: boolean): void {
      console.log("数据请求", payload);
      state.isLogin = payload;
    },
  },
  actions: {
    changeUserInfo(commit: Function, payload: boolean): void {
      console.log("action执行成功");
      setTimeout(function () {
        commit("setUserInfo", payload);
      }, 2000);
    },
  },
};
