// 默认配置
// module.exports = {extends: ['@commitlint/config-conventional']}

// 自定义配置
module.exports = {
  extends: ["@commitlint/config-conventional"],
  rules: {
    "type-enum": [
      2,
      "always",
      [
        "feat", // 新增功能或变更功能
        "fix", // 修复 bug
        "docs", // 变更文档
        "style", // 修复代码格式（不影响功能，例如空格、分号等格式修正）
        "refactor", // 重构代码（不包括 bug 修复、功能新增）
        "build", // 构建流程、外部依赖变更（如升级 npm 包、修改 项目 配置等）
      ],
    ],
  },
};
