import { $commonService } from "@/services/framework/dependency-injection-service";
const { $storageService, $http, $urlService, $jsBridgeService } =
  $commonService;
import { useRouter } from "vue-router";

export class JpushMessageReceive {
  /**
   * 接收回传极光推送消息
   */
  static receiveJpush = (): Promise<boolean> => {
    let isWxInstall = false;
    return new Promise((resolve) => {
      $jsBridgeService.receiveJpush(null, (result: any) => {
        console.log("接收回传极光推送消息：" + JSON.stringify(result));
        if (result.code === "200") {
          isWxInstall = true;
        }
        resolve(isWxInstall);
      });
    });
  };
}
